<?php
class CouponAction extends LotteryBaseAction {
	    public function _initialize(){
        parent :: _initialize();
    }
    public function cheat(){
        parent :: cheat();
        $this -> display();
    }
    public function index(){
        parent :: index(3);
        $this -> display();
    }
    public function sn(){
        $type = isset($_GET['type'])?intval($_GET['type']):3;
        parent :: sn($type);
        $this -> display();
    }
    public function add(){
        parent :: add(3);
    }
    public function edit(){
        parent :: edit(3);
    }
}


?>